Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-10-2017 19:34:31

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Problème noyau + glibc (libc6)

Bonjour

j'ai un souci avec les noyaux 4.12.0-1 ; 4.12.0-2 et 4.13-0-1  sous buster (ou sid) , j'ai un exécutable pour un calcul scientifique qui se met immédiatement en pause .
résolue avec le noyau 4.9 de stretch


linuxinfo
 


retour


Linux debian21 4.9.0-3-amd64 #1 SMP Debian 4.9.30-2+deb9u5 (2017-09-19)
16 AMD Unknown 3400MHz processeurs, 108215.88 BogoMips au total, 16047M de RAM
Bibliothèque système 2.24.0
 



locate libc.so.6
 


retour


/lib/i386-linux-gnu/libc.so.6
/lib/x86_64-linux-gnu/libc.so.6
 



 /lib/x86_64-linux-gnu/libc.so.6
 


retour


GNU C Library (Debian GLIBC 2.24-17) stable release version 2.24, by Roland McGrath et al.
Copyright (C) 2016 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 6.4.0 20170820.
Available extensions:
  crypt add-on version 2.1 by Michael Glad and others
  GNU Libidn by Simon Josefsson
  Native POSIX Threads Library by Ulrich Drepper et al
  BIND-8.2.3-T5B
libc ABIs: UNIQUE IFUNC
For bug reporting instructions, please see:
<http://www.debian.org/Bugs/>.
 



 apt-cache policy libc6
 


retour


libc6:
  Installé : 2.24-17
  Candidat : 2.24-17
 Table de version :
 *** 2.24-17 500
        500 http://ftp.fr.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
     2.24-11+deb9u1 500
        500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
 



j'ai bien la version de buster pour glibc , c'est le noyau de buster ou sid qui pose problème (la Bibliothèque système a la meme version pour stretch ou buster )
j'ai pas les connaissances pour comprendre , mais libc6 est le coeur du système , tout fonctionne correctement sauf mon application  tongue
d'après mes recherche il y a eu le meme souci lorsque stretch était en testing , la mise a jour du noyau a résolu le problème .
je risque quelque chose a utiliser le noyau de stretch avec testing (buster) ?

ps a moins que quelqu'un est une idée sur la cause
je n'ai aucune info sur l utilitaire , pour des raisons de sécurité ce n'est pas un paquet debian et son intégrité est vérifié à chaque utilisation

nota : j'ai actuellement un souces.list avec stretch + buster (pour garder les mises a jour de sécurité )

Dernière modification par robert2a (06-10-2017 19:36:32)

Hors ligne

Pied de page des forums